<?

function Number2Img ($cislo,$cesta=""){

 //kdy se zad cesta, pidme koncov lomtko
 $cesta="" ? $cesta="" : $cesta.="/";

 //jmna okraj
 $lside=$cesta."LeftSide.png"; //lev okraj
 $rside=$cesta."RightSide.png"; //prav okraj

 //podle obrzku na kterm je slice 1 zjistme ku a vku; tento obrzek mus existovat!
 list($pic_width, $pic_height, $pic_type, $pic_attr) = getimagesize($cesta."1.png"); //tato funkce vrac pole: index 0-ka,1-vka,2-typ (nap.: "image/png") a 3-atribut tagu img (nap.:"height=200 width=200")
 $number_width=$pic_width; //ka jedn slice
 $Image_Height=$pic_height; //vka jedn slice=vka celho obrzku

 //jestlie existuje lev okraj, zjistme si jeho ku
 if (is_file($lside)){
   list($pic_width, $pic_height, $pic_type, $pic_attr) = getimagesize($lside);
   $lside_width=$pic_width;
 } else {
   $lside_width=0;
 }

 //jestlie existuje prav okraj, zjistme si jeho ku
 if (is_file($rside)){
   list($pic_width, $pic_height, $pic_type, $pic_attr) = getimagesize($rside);
   $rside_width=$pic_width;
 } else {
   $rside_width=0;
 }

 //zjistme si poet slic v sle
 $Digits_Count = strlen($cislo);

 //celkov ka obrzku se vypote jako souin ky obrzku a potu slic + ky ppadnch okraj
 $Image_Width = (($Digits_Count * $number_width) + $lside_width + $rside_width);

 //vytvome przdn obrzek
 $Image = imagecreatetruecolor($Image_Width,$Image_Height);

 //Pidme lev okraj do obrzku, kdy existuje
 if (is_file($lside)){
   $image_LeftSide = imagecreatefromPNG($lside);
   imagecopy($Image, $image_LeftSide, 0, 0, 0, 0, $lside_width, $Image_Height);
   imagedestroy($image_LeftSide);
 }

 //Pidme prav okraj do obrzku, kdy existuje
 if (is_file($rside)){
   $image_RightSide = imagecreatefromPNG($rside);
   imagecopy($Image, $image_RightSide, ($Image_Width - $rside_width), 0, 0, 0, $rside_width, $Image_Height);
   imagedestroy($image_RightSide);
 }

 //projdeme vechny slice v etzci a vlome je do vslednho obrzku
 for($pozice=0; $pozice < $Digits_Count; $pozice++) {
   //zjitn prv zpracovvan slice
   $digit = substr($cislo,$pozice,1);

   //cesta prv zpracovvan slice
   $digit_name = $cesta. $digit . ".png";

   //zkontrolujeme, zda slice existuje, kdy ne, v celkovm obrzku zstane mezera
   if (is_file($digit_name)) {
     //vpoet pozice prv zpracovvan slice
     $digit_pozition = (($pozice*$number_width)+$lside_width);

     //peteme prv zpracovvanou slici
     $digit_image = imagecreatefromPNG($digit_name);

     //vlome slici do celkovho obrzku
     imagecopy($Image, $digit_image, $digit_pozition, 0, 0, 0, $number_width, $Image_Height); 

     //odstranme z pamti obrzek prv zpracovan slice
     imagedestroy($digit_image);
   }
 }

 //odeleme hlaviku, kter klientovi ekne typ odeslanch dat
 header("Content-Type: image/png");

 //poleme obrzek klientovy
 imagePNG($Image);

 //nakonec odstranme obrzek z pamti, aby jsme ji nezahltili
 imagedestroy($Image);

}

?>